Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transport.bisocket
Class Bisocket

    java.lang.Object
      org.jboss.remoting.transport.bisocket.Bisocket

    public class Bisocket

extends java.lang.Object

Version:
  $Revision: 2694 $

  Copyright Nov 22, 2006

Author:
  Ron Sigal

Field Summary
`static byte` | `CREATE_CONTROL_SOCKET`
`static byte` | `CREATE_ORDINARY_SOCKET`
`static java.lang.String` | `GET_SECONDARY_INVOKER_LOCATOR`
`static java.lang.String` | `IS_CALLBACK_SERVER`
`static java.lang.String` | `MAX_CONTROL_CONNECTION_RESTARTS` Configuration key and default value for number of times a control connection will be restarted.
`static int` | `MAX_CONTROL_CONNECTION_RESTARTS_DEFAULT`
`static java.lang.String` | `MAX_RETRIES` Configuration key and default value for number of retries BisocketServerInvoker.ControlConnectionThread and BisocketServerInvoker.createControlConnection should attempt while creating sockets.
`static int` | `MAX_RETRIES_DEFAULT`
`static byte` | `PING`
`static java.lang.String` | `PING_FREQUENCY` Configuration key and default value for frequency with which pings are sent on a control connection.
`static int` | `PING_FREQUENCY_DEFAULT`
`static java.lang.String` | `PING_WINDOW_FACTOR` Configuration key and default value for window within which a ping on a control connection must be receeived for the connection to be considered alive.
`static int` | `PING_WINDOW_FACTOR_DEFAULT`
`static byte` | `RECREATE_CONTROL_SOCKET`
`static java.lang.String` | `SECONDARY_BIND_PORT` Configuration keys for secondary ServerSocket.
`static java.lang.String` | `SECONDARY_CONNECT_PORT`

Constructor Summary
`Bisocket()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GET_SECONDARY_INVOKER_LOCATOR

    public static final java.lang.String GET_SECONDARY_INVOKER_LOCATOR

See Also:
  Constant Field Values

### IS_CALLBACK_SERVER

    public static final java.lang.String IS_CALLBACK_SERVER

See Also:
  Constant Field Values

### PING

    public static final byte PING

See Also:
  Constant Field Values

### CREATE_CONTROL_SOCKET

    public static final byte CREATE_CONTROL_SOCKET

See Also:
  Constant Field Values

### RECREATE_CONTROL_SOCKET

    public static final byte RECREATE_CONTROL_SOCKET

See Also:
  Constant Field Values

### CREATE_ORDINARY_SOCKET

    public static final byte CREATE_ORDINARY_SOCKET

See Also:
  Constant Field Values

### PING_FREQUENCY

    public static final java.lang.String PING_FREQUENCY

  Configuration key and default value for frequency with which pings are sent on a control connection.

  See Also:
    Constant Field Values

### PING_FREQUENCY_DEFAULT

    public static final int PING_FREQUENCY_DEFAULT

See Also:
  Constant Field Values

### PING_WINDOW_FACTOR

    public static final java.lang.String PING_WINDOW_FACTOR

  Configuration key and default value for window within which a ping on a control connection must be receeived for the connection to be considered alive.

  See Also:
    Constant Field Values

### PING_WINDOW_FACTOR_DEFAULT

    public static final int PING_WINDOW_FACTOR_DEFAULT

See Also:
  Constant Field Values

### MAX_RETRIES

    public static final java.lang.String MAX_RETRIES

  Configuration key and default value for number of retries BisocketServerInvoker.ControlConnectionThread and BisocketServerInvoker.createControlConnection should attempt while creating sockets.

  See Also:
    Constant Field Values

### MAX_RETRIES_DEFAULT

    public static final int MAX_RETRIES_DEFAULT

See Also:
  Constant Field Values

### MAX_CONTROL_CONNECTION_RESTARTS

    public static final java.lang.String MAX_CONTROL_CONNECTION_RESTARTS

  Configuration key and default value for number of times a control connection will be restarted.

  See Also:
    Constant Field Values

### MAX_CONTROL_CONNECTION_RESTARTS_DEFAULT

    public static final int MAX_CONTROL_CONNECTION_RESTARTS_DEFAULT

See Also:
  Constant Field Values

### SECONDARY_BIND_PORT

    public static final java.lang.String SECONDARY_BIND_PORT

  Configuration keys for secondary ServerSocket.

  See Also:
    Constant Field Values

### SECONDARY_CONNECT_PORT

    public static final java.lang.String SECONDARY_CONNECT_PORT

See Also:
  Constant Field Values

Constructor Detail

### Bisocket

    public Bisocket()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.